### Function

# ECal ComponentPeriod new_datetime

since: 3.34

#### Declaration [src]

    ECalComponentPeriod*
    e_cal_component_period_new_datetime (
      const ICalTime* start,
      const ICalTime* end
    )

#### Description [src]

Creates a new `ECalComponentPeriod` of kind `E_CAL_COMPONENT_PERIOD_DATETIME`. The returned structure should be freed with e_cal_component_period_free(), when no longer needed.

Available since: 3.34

#### Parameters

`start`

  Type: `None`

  An `ICalTime`, the start of the period.

  The data is owned by the caller of the function.

`end`

  Type: `None`

  An `ICalTime`, the end of the period.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentPeriod`

A newly allocated `ECalComponentPeriod`.

The caller of the function takes ownership of the data, and is responsible for freeing it.